org.eclipse.wst.jsdt.chromium.debug.ui.launcher

## Class ChromiumRemoteTab<ELEMENTS>

- java.lang.Object
- - AbstractLaunchConfigurationTab
  - - org.eclipse.wst.jsdt.chromium.debug.ui.launcher.ChromiumRemoteTab<ELEMENTS>

Type Parameters:
  `ELEMENTS` - type used for access to created dialog elements; it is used internally and allows to subclass `ChromiumRemoteTab` with additional dialog controls

    public abstract class ChromiumRemoteTab<ELEMENTS>
    extends AbstractLaunchConfigurationTab

The "Remote" tab for the Chromium JavaScript launch tab group.

### Nested Class Summary

Nested Classes
`static class` `ChromiumRemoteTab.HostChecker` Possibly checks host property in config.
`protected static class` `TabBase.MessageData` Describes a tab error/warning message.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected static org.eclipse.wst.jsdt.chromium.debug.ui.launcher.ChromiumRemoteTab.TabElements` `createBasicTabElements(Composite composite, java.lang.Runnable modifyListener, PreferenceStore store, org.eclipse.wst.jsdt.chromium.debug.ui.launcher.LaunchTabGroup.Params params)`
`void` `createControl(Composite parent)`
`protected static Composite` `createDefaultComposite(Composite parent)`
`protected abstract ELEMENTS` `createDialogElements(Composite composite, java.lang.Runnable modifyListener, PreferenceStore store)`
`protected ELEMENTS` `createElements(Composite parent, java.lang.Runnable modifyListener)`
`protected static GridLayout` `createHtmlStyleGridLayout(int numberOfColumns)`
`protected static Composite` `createInnerComposite(Composite parent, int numColumns)`
`Image` `getImage()`
`java.lang.String` `getName()`
`protected PARAMS` `getParams()`
`protected abstract org.eclipse.wst.jsdt.chromium.debug.ui.launcher.TabBase.TabFieldList<? super ELEMENTS,? super PARAMS>` `getTabFields()`
`protected java.lang.String` `getWarning(ILaunchConfiguration config)` Checks config for warnings and returns first found or null.
`void` `initializeFrom(ILaunchConfiguration configuration)`
`boolean` `isValid(ILaunchConfiguration config)`
`protected TabBase.MessageData` `isValidImpl(ILaunchConfiguration config)` Tries to check whether config is valid and return message or fails with exception.
`void` `performApply(ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createElements

    protected ELEMENTS createElements(Composite parent,
                                      java.lang.Runnable modifyListener)

#### createDialogElements

    protected abstract ELEMENTS createDialogElements(Composite composite,
                                                     java.lang.Runnable modifyListener,
                                                     PreferenceStore store)

#### createBasicTabElements

    protected static org.eclipse.wst.jsdt.chromium.debug.ui.launcher.ChromiumRemoteTab.TabElements createBasicTabElements(Composite composite,
                                                                                                                          java.lang.Runnable modifyListener,
                                                                                                                          PreferenceStore store,
                                                                                                                          org.eclipse.wst.jsdt.chromium.debug.ui.launcher.LaunchTabGroup.Params params)

#### getName

    public java.lang.String getName()

#### isValidImpl

    protected TabBase.MessageData isValidImpl(ILaunchConfiguration config)
                                       throws CoreException

Tries to check whether config is valid and return message or fails with exception.

Throws:
  `CoreException`

#### getWarning

    protected java.lang.String getWarning(ILaunchConfiguration config)
                                   throws CoreException

Checks config for warnings and returns first found or null.

Throws:
  `CoreException`

#### getImage

    public Image getImage()

#### getParams

    protected PARAMS getParams()

#### createControl

    public void createControl(Composite parent)

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

#### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

#### isValid

    public boolean isValid(ILaunchConfiguration config)

#### getTabFields

    protected abstract org.eclipse.wst.jsdt.chromium.debug.ui.launcher.TabBase.TabFieldList<? super ELEMENTS,? super PARAMS> getTabFields()

#### createDefaultComposite

    protected static Composite createDefaultComposite(Composite parent)

#### createInnerComposite

    protected static Composite createInnerComposite(Composite parent,
                                                    int numColumns)

#### createHtmlStyleGridLayout

    protected static GridLayout createHtmlStyleGridLayout(int numberOfColumns)